View Issue Details

IDProjectCategoryView StatusLast Update
0004621GNUnetcadet servicepublic2018-06-07 00:24
Reporterch3Assigned Toamatus 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004621: cadet get_peers () breaks communication with cadet service
DescriptionWhen issuing GNUNET_CADET_get_peers (), after returning some peers it refuses to communicate with the service.
The logs contain
Aug 22 16:36:47-310457 gnunet-cadet-32447 ERROR Received malformed message of type 296
Steps To Reproducecall GNUNET_CADET_get_peers ()

or on the commandline
$ gnunet-cadet -P
Additional InformationError message is produced by GNUNET_MQ_inject message () (src/util/mq.c:240).
As far as I understood the code, this is either the case when the message returned by the (cadet) service is smaller than expected (handler->expected_size) and no message validation callback (handler->mv) is available or the message validation (handler->mv, in this case probably check_get_peers in cadet_api.c:926) fails.
TagsNo tags attached.

Activities

Christian Grothoff

2017-02-21 18:38

manager   ~0011820

That API should be rewritten to support proper cancel, to use a separate connection and MQ to CADET, and maybe combining some of the monitoring functions.

amatus

2017-12-27 17:58

developer   ~0012705

Fixed in commit 9995f2609595f7be49a266e094877c746a4fc73d

Issue History

Date Modified Username Field Change
2016-08-22 18:35 ch3 New Issue
2016-08-22 18:35 ch3 Status new => assigned
2016-08-22 18:35 ch3 Assigned To => Bart Polot
2016-09-22 20:11 Christian Grothoff Target Version => 0.11.0pre66
2017-02-21 18:38 Christian Grothoff Note Added: 0011820
2017-02-21 18:38 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2017-02-26 01:35 Christian Grothoff Target Version 0.11.0pre66 => 0.11.0
2017-12-27 17:47 amatus Assigned To Christian Grothoff => amatus
2017-12-27 17:58 amatus Status assigned => resolved
2017-12-27 17:58 amatus Resolution open => fixed
2017-12-27 17:58 amatus Fixed in Version => 0.11.0
2017-12-27 17:58 amatus Note Added: 0012705
2018-01-08 02:16 Christian Grothoff Fixed in Version 0.11.0 => 0.11.0pre66
2018-01-08 02:16 Christian Grothoff Target Version 0.11.0 => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed